Bug Hunting Session
Bug 125754 - Crash swlo!SwAnchoredDrawObject::IsValidPos
Summary: Crash swlo!SwAnchoredDrawObject::IsValidPos
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.5
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-06-06 17:36 UTC by Telesto
Modified: 2019-06-26 07:58 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["SwLayHelper::CheckInsertPage()"]


Attachments
BT without symbols (6.26 KB, text/plain)
2019-06-06 17:37 UTC, Telesto
Details
Example file (30.64 KB, application/vnd.oasis.opendocument.text)
2019-06-06 19:49 UTC, Telesto
Details
Screencast (2.83 MB, video/mp4)
2019-06-07 10:50 UTC, Telesto
Details
bt with debug symbols (gtk3) (12.09 KB, text/plain)
2019-06-07 20:26 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2019-06-06 17:36:35 UTC
Description:
Crash swlo!SwAnchoredDrawObject::IsValidPos

Steps to Reproduce:
1. Open attachment 151991 [details]
2. Enable tracking changes toolbar
3. Start Recording changes
4. CTRL+A & CTRL+X
5. Hide Track changes
6. Unhide Track changes -> Crash


Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+ (x64)
Build ID: 95462a02a3aee1e3e7f9aa8fc50ba25fee3fa592
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-06-03_07:09:38
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Telesto 2019-06-06 17:37:03 UTC
Created attachment 151993 [details]
BT without symbols
Comment 2 Julien Nabet 2019-06-06 19:41:26 UTC
I don't know if it's the fact to use enable-dbgutil but with a Ryzen 2600 + 32GB, it's too long to try to reproduce this.
Would it be possible to have a minimal file instead of a 305 pages file?
Comment 3 Telesto 2019-06-06 19:49:47 UTC
Created attachment 151997 [details]
Example file

43 pages.. more trimming is probably possible, but i'm lazy
Comment 4 Telesto 2019-06-06 19:51:34 UTC
(In reply to Telesto from comment #3)
> Created attachment 151997 [details]
> Example file
> 
> 43 pages.. more trimming is probably possible, but i'm lazy

Sorry 86 pages
Comment 5 Dieter Praas 2019-06-07 09:50:40 UTC
I can't confirm it with

Version: 6.3.0.0.beta1 (x64)
Build ID: a187af327633f5f00363be5131bd21a13e0f1a7b
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (de_DE); UI-Language: en-GB
Calc: threaded
Comment 6 Telesto 2019-06-07 10:50:58 UTC
Created attachment 152018 [details]
Screencast
Comment 7 Xisco Faulí 2019-06-07 11:00:57 UTC
Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 6b911ae9eb9484bebbdc1323210020486f5ef33f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 8 Xisco Faulí 2019-06-07 11:04:59 UTC
Also reproduced in

Versión: 6.2.4.2
Id. de compilación: 2412653d852ce75f65fbfa83fb7e7b669a126d64
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; VCL: win; 
Configuración regional: es-ES (es_ES); Idioma de IU: es-ES
Calc: threaded
Comment 9 Xisco Faulí 2019-06-07 11:08:14 UTC
Reproduced in

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)

but not in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e
Comment 10 Xisco Faulí 2019-06-07 16:45:41 UTC
Actually this is a more recent regression, it doesn't crash in

Version: 6.0.0.0.alpha1+
Build ID: 6eeac3539ea4cac32d126c5e24141f262eb5a4d9
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 11 Xisco Faulí 2019-06-07 17:15:12 UTC
LibreOffice started to crash at step 6 in https://cgit.freedesktop.org/libreoffice/core/commit/?id=f609eba8b979620dc8f1c4a47d710360f8aae9e6, before that, it crashes hiding track changes ( step 5 ). I'll bisect that as well but I don't have time right now for that...

Adding Cc: to Michael Stahl
Comment 12 Julien Nabet 2019-06-07 20:26:43 UTC
Created attachment 152039 [details]
bt with debug symbols (gtk3)

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 13 Commit Notification 2019-06-20 09:19:46 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/dd489bc01adc22fc5015ea56b61d66104af184a8%5E%21

tdf#125754 sw_redlinehide: avoid recursive layout in SetHideRedlines()

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Michael Stahl (CIB) 2019-06-20 09:20:04 UTC
fixed on master
Comment 15 Commit Notification 2019-06-20 16:09:39 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/f75ba02bb18cc10e4ca8ca766f82ab37957189d9%5E%21

tdf#125754 sw_redlinehide: avoid recursive layout in SetHideRedlines()

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2019-06-20 20:42:14 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/83263c0428410bd8aa2344aa83e0388fdd3f7342%5E%21

tdf#125754 sw_redlinehide: avoid recursive layout in SetHideRedlines()

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Xisco Faulí 2019-06-25 09:15:41 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 52800731baf9fcb88e54d60de5585640c8f97f7b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thank for fixing this issue!!
Comment 18 Commit Notification 2019-06-26 07:56:51 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-5":

https://git.libreoffice.org/core/+/bc95445e08e07a5d23e2c833b47a31ba0a217517%5E%21

tdf#125754 sw_redlinehide: avoid recursive layout in SetHideRedlines()

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Julien Nabet 2019-06-26 07:58:49 UTC
Let's simplify targets a bit.